Dropbox crash on Ubuntu MATE Remix

Bug #1374030 reported by Alan Pope 🍺🐧🐱 🦄 on 2014-09-25
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gtk+2.0 (Ubuntu)
Undecided
Iain Lane
gtk+3.0 (Ubuntu)
Undecided
Iain Lane

Bug Description

I'm getting "Attempt to unlock mutex that was not locked" and a segfault when running Ubuntu MATE Remix 14.10.

It seems this bug is reported elsewhere in a number of other packages and is a result of a change in GLib ≥ 2.41.

I am told this patch can fix it.

https://github.com/GNOME/gtk/commit/79c3ff3c4ed74bbcc820dac2d5180fa4d48d55ec

Bug 1346299 & bug 1344386 are related (similar issue, different app).

Note that as this is dropbox, we cannot easily fix there as it's proprietary.

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gtk+3.0 (Ubuntu):
status: New → Confirmed
nadrimajstor (ipejic) wrote :

Workaround based on https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758619#63

sudo patch --backup /usr/bin/dropbox <<'EOF'
--- /usr/bin/dropbox 2014-09-25 22:15:34.099930720 +0200
+++ /usr/bin/dropbox 2014-09-25 21:58:06.015930720 +0200
@@ -285,6 +285,7 @@
         import webbrowser

         gtk.gdk.threads_init()
+ gtk.gdk.threads_enter()

         load_serialized_images()

EOF

nadrimajstor (ipejic) wrote :

Ignore previous one (https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1374030/comments/2)...
That is python and whitespace matters... And someone eat some whitespace during copy&paste :|

sudo patch --backup /usr/bin/dropbox <<'EOF'
--- /usr/bin/dropbox2014-09-25 22:15:34.099930720 +0200
+++ /usr/bin/dropbox2014-09-25 21:58:06.015930720 +0200
@@ -285,6 +285,7 @@
         import webbrowser

         gtk.gdk.threads_init()
+ gtk.gdk.threads_enter()

         load_serialized_images()

EOF

nadrimajstor (ipejic) wrote :

I give up fighting web interface... patch file DOES have correct whitespacing... Use:

sudo patch --backup /usr/bin/dropbox <dropbox_patch

Iain Lane (laney) wrote :

The fix is in bzr now, will upload soon (waiting for one other patch)

Changed in gtk+3.0 (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → Iain Lane (laney)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.12.2-0ubuntu11

---------------
gtk+3.0 (3.12.2-0ubuntu11) utopic; urgency=medium

  * 0001-threads-Do-not-release-the-GDK-lock-if-it-hasn-t-bee.patch:
    Cherry-pick from upstream to work around abort() inside GLib occuring in
    applications that do not intialise GDK for threading right. (LP: #1374030)
 -- Iain Lane <email address hidden> Fri, 03 Oct 2014 17:25:56 +0100

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released
Iain Lane (laney) on 2014-10-09
Changed in gtk+2.0 (Ubuntu):
status: New → In Progress
assignee: nobody → Iain Lane (laney)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+2.0 - 2.24.24-0ubuntu3

---------------
gtk+2.0 (2.24.24-0ubuntu3) utopic; urgency=medium

  * Apply patch from Adam Smith, backported from gtk+3.0, to allow windows to
    be dragged using blank spaces in the toolbar as well as the menubar. (LP:
    #1332721)
  * 0001-threads-Do-not-release-the-GDK-lock-if-it-hasn-t-bee.patch:
    Cherry-pick from upstream to work around abort() inside GLib occuring in
    applications that do not intialise GDK for threading right. (LP: #1374030)
 -- Iain Lane <email address hidden> Thu, 09 Oct 2014 12:38:20 +0100

Changed in gtk+2.0 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.